%global momorel 4

Name: guake
Summary: Gauake terminal
Version: 0.4.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: http://trac.guake-terminal.org/files/%{name}-%{version}.tar.gz
NoSource: 0
Source1: ja.po
URL:http://guake-terminal.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: python
BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: GConf

%description
Guake follows the same line of Yakuake and Tilda, but I am trying to
meld the best of them into a single GTK-based application.

%prep
%setup -q
cp %{SOURCE1} po

%build
%configure --disable-schemas-install --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

# do not startup in the icon tray of KDE and LXDE
echo 'NotShowIn=KDE;LXDE;' >> %{buildroot}%{_sysconfdir}/xdg/autostart//%{name}.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/guake.schemas > /dev/null
  
%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/guake.schemas
%{_sysconfdir}/xdg/autostart/guake.desktop
%{_bindir}/%{name}
%{_bindir}/guake-prefs
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/guake-prefs.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/dbus-1/services/org.gnome.Guake.service
%{_mandir}/man1/guake.1.*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.1-4m)
- full rebuild for mo7 release

* Tue Aug  3 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-3m)
- NotShowIn LXDE

* Thu Jul 29 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-2m)
- add NotShowIn=KDE; to %%{_sysconfdir}/xdg/autostart/guake.desktop

* Wed Jul 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.1-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.1-2m)
- rebuild against python-2.6.1-2m

* Sat Jul 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1

* Sun Jul 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-1m)
- update to 0.3

* Fri May  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1-1m)
- initial build
